Page MenuHomePhabricator

Flow logging is broken
Closed, ResolvedPublic

Description

Flow logging seems to be broken. Things that clearly should be logged (and the code has setup for this), such as deletion of topics and posts, does not make it through.

I first noticed this on my local machine, but the same is true on Beta Labs.

Event Timeline

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to Unbreak Now!.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2015, 4:46 AM

It does go in the history, but not to Special:Log.

gerritbot added a subscriber: gerritbot.

Change 190497 had a related patch set uploaded (by EBernhardson):
Wire up moderation logging listener

https://gerrit.wikimedia.org/r/190497

Patch-For-Review

EBernhardson set Security to None.

Change 191543 had a related patch set uploaded (by Mattflaschen):
WIP: Backfill moderation (delete, suppress) logging that was dropped

https://gerrit.wikimedia.org/r/191543

Patch-For-Review

Change 190497 merged by jenkins-bot:
Wire up moderation logging listener

https://gerrit.wikimedia.org/r/190497

DannyH closed this task as Resolved.Feb 24 2015, 5:15 PM
DannyH added a subscriber: DannyH.

Change 191543 merged by jenkins-bot:
Backfill moderation (delete, suppress) logging that was dropped

https://gerrit.wikimedia.org/r/191543

Mattflaschen-WMF reopened this task as Open.Feb 26 2015, 2:15 AM

We still need to run the backfill script in prod.

Judging by T90813, that script has now been run. Everything should be fine by now.

EBernhardson closed this task as Resolved.Mar 10 2015, 5:44 PM